Debian Bug report logs - #306268
ITP: connect -- Establish socket connection using SOCKS4 or 5 and HTTP tunnel.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Philippe COVAL <Philippe.COVAL@laposte.net>

Date: Mon, 25 Apr 2005 12:03:02 UTC

Owned by: philippe coval <philippe.coval@laposte.net>

Severity: wishlist

Done: Christian Bayle <bayle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#306268; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe COVAL <Philippe.COVAL@laposte.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philippe COVAL <Philippe.COVAL@laposte.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: connect -- Establish socket connection using SOCKS4 or 5 and HTTP tunnel.
Date: Sun, 24 Apr 2005 16:38:56 +0200
Package: wnpp
Severity: wishlist
Owner: Philippe COVAL <Philippe.COVAL@laposte.net>


* Package name    : connect
  Version         : 1.93
  Upstream Author : Shun-ichi GOTO <gotoh@taiyo.co.jp>
* URL             : http://www.taiyo.co.jp/~gotoh/ssh/connect.html
* License         : GPL 2
  Description     : Establish socket connection using SOCKS4 or 5 and HTTP tunnel.

This command line program enables ssh connection over proxies.
I was suprised it wasn't allready packaged (maybe there are alternatives to it).

There is not upstream tarball, just a simple C file.
I built the package and checked them with lintian and linda.

Get the packages at : http://rzr.online.fr/docs/contrib/tmp/

ps: My key is about to be signed by a dd in a couple of days.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.11.7-k7-amiloa
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#306268; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #10 received at 306268@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: Philippe COVAL <Philippe.COVAL@laposte.net>, 306268@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#306268: ITP: connect -- Establish socket connection using SOCKS4 or 5 and HTTP tunnel.
Date: Tue, 26 Apr 2005 17:36:07 -0500
[Message part 1 (text/plain, inline)]
[Philippe COVAL]
> * Package name    : connect
>   Version         : 1.93

That's a terrible package name.  What will the GNUSTEP people do if
they ever want to package something that manages SMB client mounts?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#306268; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe COVAL <philippe.coval@laposte.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #15 received at 306268@bugs.debian.org (full text, mbox):

From: Philippe COVAL <philippe.coval@laposte.net>
To: 306268@bugs.debian.org, sm+debian@ciphirelabs.com, 294943@bugs.debian.org
Subject: connect renamed as ssh-proxt-connect
Date: Wed, 27 Apr 2005 09:42:00 +0200
[Message part 1 (text/plain, inline)]
>That's a terrible package name.

I agrea this can be confusing, but I was the original name

BTW, there is a duplicate ITP :

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=306268

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=294943

She suggested to rename it "ssh-proxy-connect" ,
this sounds good to me, if noone is against that name I will repackage it
(check in a few days : http://rzr.online.fr/docs/contribs/debian/?M=A ) .

I am waiting sonia answers to my emails, to merge our work if needed.

Take care
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#306268; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sven Mueller <sm+debian@ciphirelabs.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #20 received at 306268@bugs.debian.org (full text, mbox):

From: Sven Mueller <sm+debian@ciphirelabs.com>
To: Philippe COVAL <philippe.coval@laposte.net>
Cc: 306268@bugs.debian.org, 294943@bugs.debian.org
Subject: Re: connect renamed as ssh-proxt-connect
Date: Wed, 27 Apr 2005 13:27:30 +0200
Philippe COVAL wrote on 27/04/2005 09:42:
>>That's a terrible package name.
> 
> I agrea this can be confusing, but I was the original name
> 
> BTW, there is a duplicate ITP :
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=306268
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=294943
> 
> She suggested to rename it "ssh-proxy-connect" ,
> this sounds good to me, if noone is against that name I will repackage it
> (check in a few days : http://rzr.online.fr/docs/contribs/debian/?M=A ) .
> 
> I am waiting sonia answers to my emails, to merge our work if needed.

I would suggest not using "ssh" in the package name. The software can be
used for many other things than just providing a clean TCP tunnel for
ssh. In fact it can be used by almost any application which needs a
clean TCP tunnel.

Another note: It might be worth mentioning that its HTTP-Proxy tunnel
won't work with content-inspection firewalls which will drop any
connection established by a CONNECT which do not use SSL. Many companies
use such firewalls.

cu,
sven



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#306268; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe COVAL <philippe.coval@laposte.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #25 received at 306268@bugs.debian.org (full text, mbox):

From: Philippe COVAL <philippe.coval@laposte.net>
To: Sven Mueller <sm+debian@ciphirelabs.com>, 306268@bugs.debian.org
Subject: Re: Bug#306268: connect renamed as "connect-proxy"
Date: Wed, 27 Apr 2005 22:10:20 +0200
[Message part 1 (text/plain, inline)]
Sven Mueller wrote:

>Philippe COVAL wrote on 27/04/2005 09:42:
>
>
>>>That's a terrible package name.
>>>
>>>
>>I agrea this can be confusing, but I was the original name
>>
>>BTW, there is a duplicate ITP :
>>
>>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=306268
>>
>>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=294943
>>
>>She suggested to rename it "ssh-proxy-connect" ,
>>this sounds good to me, if noone is against that name I will repackage it
>>(check in a few days : http://rzr.online.fr/docs/contribs/debian/?M=A ) .
>>
>>I am waiting sonia answers to my emails, to merge our work if needed.
>>
>>
>
>I would suggest not using "ssh" in the package name. The software can be
>used for many other things than just providing a clean TCP tunnel for
>ssh. In fact it can be used by almost any application which needs a
>clean TCP tunnel.
>
>
so, let's go for connect-proxy ?
(connect 1st, because it will show up if user search for connect command
line )

>Another note: It might be worth mentioning that its HTTP-Proxy tunnel
>won't work with content-inspection firewalls which will drop any
>connection established by a CONNECT which do not use SSL. Many companies
>use such firewalls.
>
>
I updated the manpage

A new candidate is online :
http://rzr.online.fr/docs/contribs/debian/?M=D

I added the close trigger in the changelog too

Are u using any messaging service ? it'll go faster
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#306268; Package wnpp. Full text and rfc822 format available.

Message #28 received at 306268@bugs.debian.org (full text, mbox):

From: Christoph Berg <cb@df7cb.de>
To: debian-devel@lists.debian.org, 306268@bugs.debian.org
Subject: Re: Bug#306268: ITP: connect -- Establish socket connection using SOCKS4 or 5 and HTTP tunnel.
Date: Fri, 29 Apr 2005 00:33:06 +0200
[Message part 1 (text/plain, inline)]
Re: Peter Samuelson in <20050426223607.GF4934@p12n.org>
> > * Package name    : connect
> >   Version         : 1.93
> 
> That's a terrible package name.  What will the GNUSTEP people do if
> they ever want to package something that manages SMB client mounts?

That's what upstream calls the program (actually connect.c), and
package names are first-come first-serve.

Nb, also have a look at 'corkscrew' (though it doesn't seem to support
SOCKS).

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#306268; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Glenn Maynard <glenn@zewt.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #33 received at 306268@bugs.debian.org (full text, mbox):

From: Glenn Maynard <glenn@zewt.org>
To: debian-devel@lists.debian.org
Cc: 306268@bugs.debian.org
Subject: Re: Bug#306268: ITP: connect -- Establish socket connection using SOCKS4 or 5 and HTTP tunnel.
Date: Thu, 28 Apr 2005 20:40:09 -0400
On Fri, Apr 29, 2005 at 12:33:06AM +0200, Christoph Berg wrote:
> Re: Peter Samuelson in <20050426223607.GF4934@p12n.org>
> > > * Package name    : connect
> > >   Version         : 1.93
> > 
> > That's a terrible package name.  What will the GNUSTEP people do if
> > they ever want to package something that manages SMB client mounts?
> 
> That's what upstream calls the program (actually connect.c), and
> package names are first-come first-serve.

Peter's complaint is a legitimate and important one--it really is a terrible
package name--so please don't dismiss it.  Package names are a shared
namespace, and must be chosen intelligently.

-- 
Glenn Maynard



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#306268; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Kowalik <stevenk@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #38 received at 306268@bugs.debian.org (full text, mbox):

From: Steve Kowalik <stevenk@debian.org>
To: debian-devel@lists.debian.org, 306268@bugs.debian.org
Subject: Re: Bug#306268: ITP: connect -- Establish socket connection using SOCKS4 or 5 and HTTP tunnel.
Date: Fri, 29 Apr 2005 11:26:41 +1000
On Thu, 28 Apr 2005 20:40:09 -0400, Glenn Maynard uttered
> Peter's complaint is a legitimate and important one--it really is a terrible
> package name--so please don't dismiss it.  Package names are a shared
> namespace, and must be chosen intelligently.
> 
I concur. When I built this program locally, I called it
socks_connect, because I knew that I'd come across a binary in 6
months called 'connect', wonder what it was, and then bin it.

Cheers,
-- 
					Steve
In the beginning was the word, and the word was content-type: text/plain



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#306268; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe COVAL <philippe.coval@laposte.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #43 received at 306268@bugs.debian.org (full text, mbox):

From: Philippe COVAL <philippe.coval@laposte.net>
To: debian-mentors@lists.debian.org, 306268@bugs.debian.org
Subject: Re: Fwd: RFS : connect : establish ssh connection over socks 4/5 proxies (alt suggested name : connect-proxy)
Date: Tue, 05 Jul 2005 13:35:09 +0200
[Message part 1 (text/plain, inline)]
Hi again,

Few months ago, I packaged connect-proxy, fixed bugs, did the submission
tasks and contacted the putty maintainers  (putty refers to it).

But I am still looking for a sponsor.

Now, what can I do to find someone to upload this 'connect-proxy' package ?

* deb : http://rzr.online.fr/docs/contribs/debian/?M=A
* Name: connect-proxy (renamed from connect, to avoid name colision)
* Description : This command line program establish ssh connection over
proxies.
* Upstream: http://www.taiyo.co.jp/~gotoh/ssh/connect.html
* Licence : GPL
* ITP : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=306268
* RFS : http://lists.debian.org/debian-mentors/2005/04/msg00341.html
* Notes (wiki) : http://rzr.online.fr/q/Proxy

[signature.asc (application/pgp-signature, inline)]
[signature.asc (application/pgp-signature, attachment)]

Bug closed, send any further explanations to Philippe COVAL <Philippe.COVAL@laposte.net> Request was from Christian Bayle <bayle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message #46 received at 306268-done@bugs.debian.org (full text, mbox):

From: Christian BAYLE <bayle@aist.enst.fr>
To: 288521-done@bugs.debian.org, 294943-done@bugs.debian.org, 306268-done@bugs.debian.org
Subject: closed by upload of connect-proxy
Date: Mon, 03 Oct 2005 22:54:22 +0200
The new package connect-proxy was accepted and close these ITP
Due to an error in changelog bad bug was closed.
I reopened the injured bug.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 14:32:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:45:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.